Subject: [IPFIX] [Errata Verified] RFC5655 (4306)

From: RFC Errata System <[email-masked]>
Date: Thu, 19 Mar 2015 14:24:02 -0700 (PDT)

The following errata report has been verified for RFC5655,
"Specification of the IP Flow Information Export (IPFIX) File Format". 

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=5655&eid=4306

--------------------------------------
Status: Verified
Type: Technical

Reported by: Wayne Tackabury <[email-masked]>
Date Reported: 2015-03-19
Verified by: Benoit Claise (IESG)

Section: A.5

Original Text
-------------
   224: 0A 47 0A B6 E5 47 0C 07 48 00|01 03 00 18 00 3E
           [ message checksum record ^ -->
   240: 2B 37 08 CE B2 0E 30 11 32 12 4A 5F E3 AD DB 00

   256:|00 0A 05 10 47 0A B6 E5 00 00 00 06 00 00 00 01

Corrected Text
--------------
   224: 0A 47 0A B6 E5 47 0C 07 48 00|01 03 00 16 00 3E
           [ message checksum record ^ -->
   240: 2B 37 08 CE B2 0E 30 11 32 12 4A 5F E3 AD DB 00

   256:|00 0A 05 10 47 0A B6 E5 00 00 00 06 00 00 00 01

Notes
-----
First of all, note that per erratum #2030, the offsets in this whole section are wrong, it should begin (I think) at 192.  I shall use the published (incorrect) offset for illuminating this point:

I believe the byte at #237 should be 0x16 and not 0x18.  I suspect this checksum was copy-pasted from a prior instance in the example, where there were three pad bytes added to the data record for #259 (0x103).    In this instance, there is only one pad byte at #255, hence the offset here should be two less (22 or 0x16 and not 24 or 0x18): 

  2 bytes set ID
  2 bytes length
  1 byte option data
 16 bytes checksum data
  1 byte pad (at #255)

 ...totalling 22. Thanks!

--------------------------------------
RFC5655 (draft-ietf-ipfix-file-05)
--------------------------------------
Title               : Specification of the IP Flow Information Export (IPFIX) File Format
Publication Date    : October 2009
Author(s)           : B. Trammell, E. Boschi, L. Mark, T. Zseby, A. Wagner
Category            : PROPOSED STANDARD
Source              : IP Flow Information Export
Area                : Operations and Management
Stream              : IETF
Verifying Party     : IESG